package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.AbstractRoom;
import de.hft.stuttgart.citydoctor2.datastructure.CityFurniture;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class CityFurnitureNode extends Renderable{

    private final CityFurniture cityFurniture;

    public CityFurnitureNode(CityFurniture cityFurniture) {
        this.cityFurniture = cityFurniture;
    }

    @Override
    public String getText() {
        return cityFurniture.getGmlId().getGmlString();
    }


    @Override
    public void visit(Renderer renderer) {
        renderer.render(cityFurniture);
    }

    @Override
    public void refreshTextColor() {
        if (!cityFurniture.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (cityFurniture.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }
}
